//
//  SUAppcast.h
//  Sparkle
//
//  Created by Andy Matuschak on 3/12/06.
//  Copyright 2006 Andy Matuschak. All rights reserved.
//

#ifndef SUAPPCAST_H
#define SUAPPCAST_H

@class QK_SUAppcastItem;
@interface QK_SUAppcast : NSObject {
	NSArray *items;
	NSString *userAgentString;
	id delegate;
	NSMutableData *incrementalData;
}

- (void)fetchAppcastFromURL:(NSURL *)url;
- (void)setDelegate:delegate;
- (void)setUserAgentString:(NSString *)userAgentString;

- (NSArray *)items;

@end

@interface NSObject (QK_SUAppcastDelegate)
- (void)appcastDidFinishLoading:(QK_SUAppcast *)appcast;
- (void)appcast:(QK_SUAppcast *)appcast failedToLoadWithError:(NSError *)error;
@end

#endif
